export interface User {
  userId: number;
  userName: string;
  nickName: string;
  email: string;
  mobile: string;
  sex: string;
  post?: any;
  phone: string;
  avatar: string;
  password: string;
  status: string;
  loginIp: string;
  loginDate?: any;
  createBy: string;
  createTime: string;
  updateBy: string;
  updateTime?: any;
  remark?: any;
}

export interface Enterprise {
  id: number;
  tenantId: number;
  area?: any;
  inviterId: number;
  uid: number;
  username: string;
  phone: string;
  email: string;
  kind: string;
  name: string;
  code: string;
  image: string;
  product: string;
  province: string;
  city: string;
  cityStr: string;
  district: string;
  address: string;
  url: string;
  license: string;
  industry: string;
  industrys?: any;
  industryStr: string;
  keyword: string;
  keywords: string[];
  direction: string;
  directions?: any;
  introduce: string;
  examineStatus: string;
  examineRemark: string;
  examineAt: string;
  isDeleted: string;
  createdAt: string;
  updatedAt: string;
}

export interface Data {
  vip?: any;
  user: User;
  enterprise: Enterprise;
}

export interface RootObject {
  msg: string;
  code: number;
  data: Data;
}
