import { defineComponent } from "vue";

export default defineComponent({
  setup(
    props, // props
    context // context
  ) {
    return () => (
      <div>
        <h1>Test</h1>
        {/* element-plus dialog form */}
        <el-dialog title="Dialog Title" visible={true} width="30%">
          <el-form>
            <el-form-item label="Input">
              <el-input></el-input>
            </el-form-item>
            <el-form-item label="Select">
              <el-select v-model={props.value}>
                <el-option label="Option 1" value="1"></el-option>
              </el-select>
            </el-form-item>
          </el-form>
          <span slot="footer" class="dialog-footer">
            <el-button>Cancel</el-button>
            <el-button type="primary">Confirm</el-button>
          </span>
        </el-dialog>
      </div>
    );
  },
});
